hamclock(1)

NAME
hamclock - a kiosk-style application showing timely information useful to the amateur radio operator

SYNOPSIS
hamclock [options]

DESCRIPTION
HamClock displays information for the amateur radio operator including:

    •   setting your location, known as DE, and a second location, known as DX, in several ways

    •   the current UTC, local time and weather at DE and DX

    •   several live space weather indices with time histories

    •   satellite tracking and pass predictions

    •   VOACAP propagation modeling point-to-point, global MUF and TOA

    •   short and long path beam headings and distance from DE to DX

    •   Mercator, Azimuthal and Robinson map projections centered on DE

    •   Lunar position data and EME planning tool

    •   NCDXF beacon schedule

    •   Big Clock, stopwatch, alarm clock and station ID count-down timer

    •   rig and rotator control using flrig or hamlib

    •   list and plot DX Spider cluster, RBN, WSPR, PSK, POTA and SOTA spots

    •   read and display local weather data from one or two connected BME280 I2C sensors

    •   several background maps including VOACAP predictions and weather.

OPTIONS
The following list of command line options is current as of this writing. To see all options, run hamclock with any illegal option such as -help.

    -b h
        set backend host to h; default is clearskyinstitute.com

    -c  disable all touch events from web interface

    -d d
        set working directory to d; default is $HOME/.hamclock/

    -e p
        set RESTful web server port to p; default is 8080

    -f o
        force display full screen initially to "on" or "off"

    -g  init DE using geolocation with current public IP; requires -k

    -h  print this help summary then exit

    -i i
        init DE using geolocation with IP i; requires -k

    -k  go immediately to normal mode, ie, don't offer Setup or wait for Skips

    -l l
        set Mercator or Mollweide center longitude to l degrees, +E; requires -k

    -m  enable demo mode

    -o  write diagnostic log to stdout instead of in /Users/ecdowney/.hamclock/

    -s d
        start time as if UTC now is d formatted as YYYY-MM-DDTHH:MM:SS

    -t p
        throttle max cpu to p percent; default is 80

    -v  show version info then exit

    -w p
        set live web server port to p; default is 8081

    -y  activate keyboard cursor control arrows/hjkl/Return -- beware stuck keys!

HISTORY
HamClock was introduced in QST October 2017. At that time it only worked on a standalone hardware configuration consisting of an Espressif ESP8266 microcontroller and 800x480 LCD touch display. In 2020 it was ported to the Raspberry Pi platform or any other UNIX-like operating system running the X11 Window display system. In 2022 it was ported again to be a web server that can be displayed and controlled using any browser, with no need for X11. All configurations continue to be supported although the ESP is not longer being maintained.

AUTHOR
Elwood Downey, WB0OEW, ecdowney@clearskyinstitute.com

SEE ALSO
HamClock has an extensive support page at https://clearskyinstitute.com/ham/HamClock